package com.njcn.device.pq.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.device.pq.pojo.param.dataClean.MonitorBaseParam;
import com.njcn.device.pq.pojo.po.DataVerify;

import com.njcn.device.pq.pojo.vo.dataClean.DetailAbnormalVO;
import com.njcn.device.pq.pojo.vo.dataClean.PowerQualityIndicatorsVO;
import com.njcn.device.pq.pojo.vo.dataClean.VerifyMonitorVO;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author cdf
 * @since 2025-03-26
 */
public interface IDataVerifyService extends IService<DataVerify> {


    VerifyMonitorVO getMonitorVerifyData(MonitorBaseParam monitorBaseParam);

    List<PowerQualityIndicatorsVO> getMonitorVerifyDay(MonitorBaseParam monitorBaseParam);


    List<DetailAbnormalVO> monitorAbnormalTable(MonitorBaseParam monitorBaseParam);



    List<DetailAbnormalVO.DetailAbnormalInnerVO> monitorAbnormalTableDetail(MonitorBaseParam monitorBaseParam);


    VerifyMonitorVO getMonitorLimitData(MonitorBaseParam monitorBaseParam);

    List<PowerQualityIndicatorsVO> getMonitorLimitDataDay(MonitorBaseParam monitorBaseParam);

    List<DetailAbnormalVO> monitorLimitTable(MonitorBaseParam monitorBaseParam);

    DetailAbnormalVO.DetailLimitCountVO monitorLimitTableDetail(MonitorBaseParam monitorBaseParam);


    DetailAbnormalVO.Assess limitTableDetail(MonitorBaseParam monitorBaseParam);
}
